Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
GETBare Metal Management OperationsSince 2.6.0SynchronousAuth Required

GetBaremetalChassisPowerStatus

GetBaremetalChassisPowerStatus

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the bare metal chassis.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • statusStringRequired

    The power status of the bare metal chassis.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • errorErrorCodeRequired

    See error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/baremetal/chassis/{uuid}/powerstatus

/zstack/v1/baremetal/chassis/{uuid}/powerstatus

Operation ID

GetBaremetalChassisPowerStatus

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal/chassis/{uuid}/powerstatus?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "status": "ON" }

Change History

This API has no change history records yet.

View all change history